### Method

# Gtk Picture set_filename

#### Declaration [src]

    void
    gtk_picture_set_filename (
      GtkPicture* self,
      const char* filename
    )

#### Description [src]

Makes `self` load and display the given `filename`.

This is a utility function that calls `gtk_picture_set_file()`.

Warning

Note that this function should not be used with untrusted data. Use a proper image loading framework such as libglycin, which can load many image formats into a `GdkTexture`, and then use `gtk_image_set_from_paintable()`.

#### Parameters

`filename`

  Type: `const char*`

  The filename to play.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.